
function Blog({json}) {
    return (
        <div>
            <h1>Blog</h1>
            <pre>
                {json}
            </pre>
        </div>
    )    
}


export async function getServerSideProps() {
    // Call an external API endpoint to get posts
    const res = await fetch('http://worldtimeapi.org/api/ip')
    const raw_json = await res.json()
    const json = JSON.stringify(raw_json);
  
    // By returning { props: posts }, the Blog component
    // will receive `posts` as a prop at build time
    return {
      props: {
        json
      }
    }
  }

  export default Blog