import { useState, useEffect } from 'react'

function Blog({json_string}) {
    console.log(json_string);
    const [json, setJson] = useState(json_string);

    return (
        <div>
            <h1>Blog</h1>
            <pre>
                {json}
            </pre>
        </div>
    )    
}
export async function getStaticProps() {
    // Call an external API endpoint to get posts
    const res = await fetch('http://worldtimeapi.org/api/ip')
    console.log("getStaticProps executed")
    const raw_json = await res.json()
    const json_string = JSON.stringify(raw_json);
  
    // By returning { props: posts }, the Blog component
    // will receive `posts` as a prop at build time
    return {
      props: {
        json_string
      },
      revalidate: 10
    }
  }


export default Blog